python-hypothesis (6.81.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.81.1
    - Fixes some lingering issues with inference of recursive types.
      This will hopefully improve the recent unit test flakiness.

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jul 2023 23:45:21 +0200

python-hypothesis (6.81.0-2) unstable; urgency=medium

  * Team upload.
  * Remove retired uploader.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:48:15 +0200

python-hypothesis (6.81.0-1) unstable; urgency=medium

  * Team upload.
  * Skip two NumPy tests again; still broken
  * New upstream version 6.81.0

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jul 2023 23:50:10 +0200

python-hypothesis (6.80.1-3) unstable; urgency=medium

  * Team upload.
  * Skip tests which want to update package files

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 21:50:11 +0200

python-hypothesis (6.80.1-2) unstable; urgency=medium

  * Team upload.
  * Refactor test skipping; skip failing recursion test

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 09:41:50 +0200

python-hypothesis (6.80.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.80.1
  * Refresh patches
    - Drop 0004-Fix-failing-numpy-test.patch (no longer needed)
  * Add more test dependencies
  * Skip fewer tests in upstream test suite
  * Add lintian override for false positive
  * Add manual page for CLI tool

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 11:46:49 +0200

python-hypothesis (6.80.0-1) unstable; urgency=medium

  * Team upload.
  * Use tags in debian/watch again
  * New upstream version 6.80.0

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jun 2023 00:21:03 +0200

python-hypothesis (6.74.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.74.0
  * Skip broken timezone_keys() test

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:48:34 +0200

python-hypothesis (6.67.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.67.1
    - Fix a rare RecursionError introduced by the changes in 6.65.0

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Feb 2023 13:09:15 +0100

python-hypothesis (6.65.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.65.2
  * Fix failing numpy test (Closes: #1030233)

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 21:17:16 +0100

python-hypothesis (6.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.64.0
    - Fix compatibility with numpy 1.24 (Closes: #1028830)

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Jan 2023 23:55:53 +0100

python-hypothesis (6.61.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.61.0
  * Bump Standards-Version to 4.6.2
  * Drop Built-Using for Sphinx documentation

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Dec 2022 13:29:50 +0100

python-hypothesis (6.60.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Consolidate skipping all broken tests in one patch
  * Apply M-A hint

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 17:36:35 +0100

python-hypothesis (6.60.0-2) experimental; urgency=medium

  * Team upload.
  * Remove obsolete d/tests and fix autopkgtest invocation
  * Update Build-Depends
  * Avoid circular dependency on self
  * Set PYTEST_DISABLE_PLUGIN_AUTOLOAD=1

 -- Timo Röhling <roehling@debian.org>  Fri, 09 Dec 2022 23:34:25 +0100

python-hypothesis (6.60.0-1) experimental; urgency=medium

  * Team upload.
  * Fix d/watch
  * New upstream version 6.60.0
    - Fix Python 3.11 compatibility (Closes: #1025105)
  * New Build-Depend on python3-exceptiongroup
  * Remove unneeded dh_auto_test override
  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 15:00:20 +0100

python-hypothesis (6.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add a Breaks against python3-h2, to easy their testing migraiton

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Jan 2022 00:56:15 -0500

python-hypothesis (6.35.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Jan 2022 22:29:55 -0500

python-hypothesis (6.35.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1001538, #1002392, #1000639
  * debian/watch
    - properly detect new upstream releases
  * debian/copyright
    - update upstream copyright information
  * debian/tests/control
    - skip test_basic_indices_default_max_dims_does_not_warn in autopkgtest
  * debian/rules
    - set the proper PYTHONPATH when building doc
  * refresh/update patches

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Jan 2022 23:31:30 -0500

python-hypothesis (5.43.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 15 Dec 2020 10:41:13 +0200

python-hypothesis (5.41.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Tristan Seligmann ]
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 10 Nov 2020 09:11:01 +0200

python-hypothesis (5.32.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Sep 2020 12:08:05 +0200

python-hypothesis (5.29.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Recommends: python3-click for the new CLI tool.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 25 Aug 2020 17:29:44 +0200

python-hypothesis (5.27.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 19:16:14 +0200

python-hypothesis (5.24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 15 Aug 2020 22:44:19 +0200

python-hypothesis (5.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 20:59:29 +0200

python-hypothesis (5.23.9-2) unstable; urgency=medium

  * Reenable build-time tests.
  * Disable test requiring pytest 5+.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 18:18:56 +0200

python-hypothesis (5.23.9-1) unstable; urgency=medium

  * New upstream release.
  * Disable hoverxref; not in Debian.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 15:22:21 +0200

python-hypothesis (5.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare rootless build.
  * Bump debhelper-compat to 13.
  * Switch to dh-sequence-*.
  * Fix copyright paths.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 19 Jul 2020 22:31:48 +0200

python-hypothesis (5.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Jun 2020 21:26:34 -0400

python-hypothesis (5.10.4-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Drop pypy support.
  * New upstream version 5.10.4 (Closes: #949762).
  * d/gbp.conf: create configuration file and add debian/master branch.
    - Create debian/master branch according to DEP-14.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump Standards-Version to 4.5.0 (from 4.1.3).
  * d/tests/control: Drop tests on tests/py3 folder.
    - Does not exist on upstream.
  * Fix link on docs base.
  * d/tests/control: Add pexpect dependecy on tests.
  * Add patch to skip lazy test, that fails on Autopkgtest.

  [ Sandro Tosi ]
  * debian/control
    - add dateutil, django, lark, numpy, sortedcontainers to b-d, used by
      sphinx autodoc

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Jun 2020 15:40:22 -0400

python-hypothesis (4.36.2-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937823

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 01:10:54 -0400

python-hypothesis (4.36.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:37:39 -0400

python-hypothesis (4.36.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Dandrimont ]
  * New upstream release (Closes: #942693)
  * Drop remote reference to image in documentation

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Nov 2019 11:54:08 +0100

python-hypothesis (3.71.11-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Mattia Rizzolo ]
  * New upstream version 3.71.11.
    + Compatibility with Python 3.7.  Closes: #904646
  * Update watch file to the new tarball names.  Closes: #904647
  * Fix paths after upstream shuffled files around.
  * d/rules: Drop unneeded override_dh_python3.
  * d/rules: Add a comment on why the tests are skipped.
  * Add new dependency on python(3)-dateutil.
  * Fix autopkgtest to fit the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:47:07 +0200

python-hypothesis (3.44.1-2) unstable; urgency=medium

  * Team upload.
  * Add python{,3}-/pypy-attrs and python{,3}-/pypy-coverage to B-D
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Bump debhelper compat level to 11
  * Move docs to /usr/share/python-hypothesis
  * Install examples
  * Rename lintian override: debian-watch-may-check-gpg-signature
    -> debian-watch-does-not-check-gpg-signature
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 11:44:09 +0100

python-hypothesis (3.44.1-1) unstable; urgency=medium

  * New upstream release (closes: #884786).
    - Fix docs reproducibility (closes: #854549).
  * Replace extra priority with optional.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Dec 2017 23:04:43 +0200

python-hypothesis (3.12.0-2) unstable; urgency=medium

  * Avoid loading py.test configuration from tox.ini (fixes autopkgtest
    failures).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 08 Jul 2017 13:58:47 +0200

python-hypothesis (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Tweak docs/conf.py to fix building docs when Hypothesis is not
      installed.
  * Fix permuted python3-hypothesis and python-hypothesis-doc Depends
    stanzas (closes: #867435).
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Jul 2017 14:39:39 +0200

python-hypothesis (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:45:42 +0200

python-hypothesis (3.6.0-1) unstable; urgency=medium

  * The copyright of tests/cover/test_pretty.py is now documented
    correctly.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 07 Nov 2016 19:48:45 +0200

python-hypothesis (3.4.2-2) unstable; urgency=medium

  [ Julian Taylor ]
  * add pypy-hypothesis package

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 27 Aug 2016 18:04:12 +0200

python-hypothesis (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 17:29:58 +0200

python-hypothesis (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 25 Jun 2016 02:00:45 +0200

python-hypothesis (3.1.3-3) unstable; urgency=medium

  * Install python3-sphinx-rtd-theme instead of python-sphinx-rtd-theme
    (closes: #827588, hopefully).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 19:23:22 +0200

python-hypothesis (3.1.3-2) unstable; urgency=medium

  * Add python-hypothesis-doc to Suggests.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 23:28:36 +0200

python-hypothesis (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Disable build-time test suite; running the tests takes a long time,
    and is a little flaky, but hardly anything tested by them is
    Debian-specific, so upstream would have already caught a bad release.
    The DEP 8 tests are left, however.
  * Swap team over to Maintainer.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 02:43:24 +0200

python-hypothesis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build python-hypothesis-doc package with documentation.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Mar 2016 23:40:36 +0200

python-hypothesis (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Add missing dependency on python-enum34; the platform marker obscures
    it from being detected automatically.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 23 Feb 2016 14:48:26 +0200

python-hypothesis (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 22:05:58 +0200

python-hypothesis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 15:57:16 +0200

python-hypothesis (3.0.0-1) unstable; urgency=medium

  * Fix watch file to handle alpha version.
  * New upstream release.
    - Add Build-Depends: python-enum34.
  * Switch to https in Vcs-Git.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Feb 2016 17:44:32 +0200

python-hypothesis (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 23 Jan 2016 04:34:52 +0200

python-hypothesis (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch to GitHub tarball to pick up the tests.
  * Run the tests at build time (closes: #808039).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 21 Dec 2015 13:47:28 +0200

python-hypothesis (1.17.0-1) unstable; urgency=medium

  * New upstream release.
    - Change in Python 3 compatibility code (closes: #807988).
  * Add myself to Uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 17:12:05 +0200

python-hypothesis (1.16.0-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Bernat ]
  * Ship README.rst.

  [ Stefano Rivera ]
  * Update VCS fields for Git migration.

  [ Tristan Seligmann ]
  * New upstream release.
  * Remove stray egg-info directory.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 11 Dec 2015 16:54:37 +0200

python-hypothesis (1.11.0-1) unstable; urgency=medium

  * Initial release. Closes: #799044.

 -- Vincent Bernat <bernat@debian.org>  Tue, 15 Sep 2015 10:17:24 +0200
